## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global _vpath_srcdir Kvantum
%bcond_without  qt5

Name:           kvantum
Version:        1.1.1
Release:        %autorelease
Summary:        SVG-based theme engine for Qt, KDE and LXQt

License:        GPL-3.0-only
URL:            https://github.com/tsujan/Kvantum
Source0:        %url/archive/V%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  make
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(Qt6Core)
BuildRequires:  pkgconfig(Qt6Gui)
BuildRequires:  pkgconfig(Qt6Linguist)
BuildRequires:  pkgconfig(Qt6Svg)
BuildRequires:  pkgconfig(Qt6Widgets)
%if 0%{?fedora} >= 40
BuildRequires:  cmake(KF6WindowSystem)
%endif
%if %{with qt5}
BuildRequires:  pkgconfig(Qt5)
BuildRequires:  pkgconfig(Qt5Designer)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  cmake(KF5WindowSystem)
%endif
BuildRequires:  desktop-file-utils
BuildRequires:  kde-filesystem

Requires:       hicolor-icon-theme
Requires:       %{name}-data = %{version}-%{release}

%if %{with qt5}
Recommends:     (%{name}-qt5 if qt5-qtbase-gui)
%endif

# Qt6 is default since 1.1.0
Provides:  kvantum-qt6 = %{version}-%{release}
Obsoletes: kvantum-qt6 < 1.1.0

%description
Kvantum is an SVG-based theme engine for Qt, tuned to KDE and LXQt, with an
emphasis on elegance, usability and practicality.

Kvantum has a default dark theme, which is inspired by the default theme of
Enlightenment. Creation of realistic themes like that for KDE was the first
reason to make Kvantum but it goes far beyond its default theme: you could
make themes with very different looks and feels for it, whether they be
photorealistic or cartoonish, 3D or flat, embellished or minimalistic, or
something in between, and Kvantum will let you control almost every aspect of
Qt widgets.

Kvantum also comes with many other themes that are installed as root and can
be selected and activated by using Kvantum Manager.

%if %{with qt5}
%package qt5
Summary:   SVG-based theme engine for Qt5
Requires:  %{name}-data = %{version}-%{release}

%description qt5
Kvantum is an SVG-based theme engine for Qt, tuned to KDE and LXQt, with an
emphasis on elegance, usability and practicality.

This package contains the Qt5 integration plugin.
%endif

%package data
Summary:    SVG-based theme engine for Qt5, KDE and LXQt
BuildArch:  noarch

%description data
Kvantum is an SVG-based theme engine for Qt, tuned to KDE and LXQt, with an
emphasis on elegance, usability and practicality.

This package contains the data needed Kvantum.

%prep
%autosetup -n Kvantum-%{version}

%build
%if %{with qt5}
%global _vpath_builddir %{_target_platform}-qt5
%cmake -DENABLE_QT5:BOOL=ON
%cmake_build
%endif

%global _vpath_builddir %{_target_platform}-qt6
%cmake \
    -DENABLE_QT5:BOOL=OFF \
%if 0%{?fedora} < 40
    -DWITHOUT_KF=ON
%endif
%cmake_build

%install
%if %{with qt5}
%global _vpath_builddir %{_target_platform}-qt5
%cmake_install
%endif

%global _vpath_builddir %{_target_platform}-qt6
%cmake_install

# desktop-file-validate doesn't recognize LXQt
sed -i "s|LXQt|X-LXQt|" %{buildroot}%{_datadir}/applications/kvantummanager.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/kvantummanager.desktop

%find_lang %{name} --all-name --with-qt

%files -f %{name}.lang
%license Kvantum/COPYING
%doc Kvantum/ChangeLog Kvantum/NEWS Kvantum/README.md
%{_bindir}/kvantummanager
%{_bindir}/kvantumpreview
%{_qt6_plugindir}/styles/libkvantum.so
%{_datadir}/applications/kvantummanager.desktop
%{_datadir}/icons/hicolor/scalable/apps/kvantum.svg
%dir %{_datadir}/kvantumpreview
%dir %{_datadir}/kvantumpreview/translations
%dir %{_datadir}/kvantummanager
%dir %{_datadir}/kvantummanager/translations

%if %{with qt5}
%files qt5
%{_qt5_plugindir}/styles/libkvantum.so
%endif

%files data
%license Kvantum/COPYING
%{_datadir}/Kvantum/
%{_datadir}/color-schemes/Kv*.colors

%changelog
## START: Generated by rpmautospec
* Sat May 25 2024 Arthur Bols <arthur@bols.dev> - 1.1.1-1
- Update to 1.1.1 (fedora#2277895)

* Thu Mar 28 2024 Arthur Bols <arthur@bols.dev> - 1.1.0-1
- Update to 1.1.0 (fedora#2269918)

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.10-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Dec 26 2023 Aleksei Bavshin <alebastr@fedoraproject.org> - 1.0.10-3
- Add Qt6 plugin subpackage

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jun 16 2023 Arthur Bols <arthur@bols.dev> - 1.0.10-1
- Update to 1.0.10 (rhbz#2185947)

* Sat Mar 18 2023 Robert-André Mauchin <zebob.m@gmail.com> - 1.0.9-1
- Update to 1.0.9

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Dec 27 2022 Robert-André Mauchin <zebob.m@gmail.com> - 1.0.7-1
- Update to 1.0.7

* Sun Oct 23 2022 Robert-André Mauchin <zebob.m@gmail.com> - 1.0.5-1
- Update to 1.0.5

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat Jul 09 2022 Robert-André Mauchin <zebob.m@gmail.com> - 1.0.3-1
- Update to 1.0.3 - Close: rhbz#2105097 rhbz#2058498

* Sun Jul 03 2022 Robert-André Mauchin <zebob.m@gmail.com> - 1.0.2-1
- Update to 1.0.2 - Close: rhbz#2056047

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Dec 24 2021 Robert-André Mauchin <zebob.m@gmail.com> - 1.0.0-1
- Update to 1.0.0 Close: rhbz#2034356

* Sun Nov 28 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0.20.2-1
- Update to 0.20.2 Close: rhbz#2004753

* Sun Jul 25 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0.20.1-1
- Update to 0.20.1 Close: rhbz#1984725

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.20.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri May 28 14:04:11 CEST 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0.20.0-1
- Update to 0.20.0
- Close: rhbz#1965594

* Thu Apr  8 21:26:59 CEST 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0.19.0-1
- Update to 0.19.0
- Close: rhbz#1938358

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Jan  8 16:19:01 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0.18.0-1
- Update to 0.18.0
- Close: rhbz#1913046

* Mon Nov 09 19:18:04 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.17.0-1
- Release 0.17.0
- Close: rhbz#1867843

* Mon Aug 24 15:30:29 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.16.1-1
- Release 0.16.1 (#1867843)

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 01 14:24:08 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.16.0-1
- Release 0.16.0 (#1850067)

* Wed Jun 17 22:50:35 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.15.3-1
- Release 0.15.3 (#1812291)

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sat Jan 11 18:45:16 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.14.1-1
- Release 0.14.1 (#1786895)

* Thu Dec 05 22:47:54 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.13.0-1
- Release 0.13.0 (#1780135)

* Sat Oct 12 14:37:59 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.12.1-1
- Release 0.12.1 (#1761073)

* Tue Oct 08 15:44:10 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.12.0-1
- Release 0.12.0 (#1759377)

* Thu Aug 08 22:28:36 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.11.2-1
- Release 0.11.2

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun May 12 22:31:24 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.11.1-1
- Release 0.11.1 (#1709046)

* Sun Mar 24 14:57:08 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.11.0-1
- Release 0.11.0

* Tue Feb 19 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.10.9-1
- Release 0.10.9

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Nov 06 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0.10.8-2
- Remove dependency to kde-filesystem and plasma-desktop

* Tue Oct 02 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0.10.8-1
- Initial release

## END: Generated by rpmautospec
